#!/bin/sh
#
# $Id: backup-smf.pl,v 0.01 2003/03/09 16:01:02 corvax Exp $
#
# description: backup sendmail filter
#              
# chkconfig: 2345 79 31
# processname: backup-smf.pl

# Source function library.
. /etc/rc.d/init.d/functions

RETVAL=0

milter_path="/home/corvax/scripts/backup-smf.pl"
milter_name="backup-smf.pl"
backup_mailbox="maillog"
domain="corvax.kiev.ua"
MDA="/usr/bin/procmail -Y -a $domain -d $backup_mailbox"
syslog_facility="local4"

start() {
    # Start daemons.
    echo -n "Starting $milter_name: "
#    daemon $milter_path/$milter_name --milter-name $milter_name --sendmail-config /etc/mail/sendmail.cf --MDA "$MDA" --syslog-facility $syslog_facility
    $milter_path/$milter_name --milter-name $milter_name --sendmail-config /etc/mail/sendmail.cf --MDA "$MDA" --syslog-facility $syslog_facility &
    RETVAL=$?
    echo
    return $RETVAL
}

stop() {
    # Stop daemons.
    echo -n "Shutdowning $milter_name: "
    killproc $milter_name
    RETVAL=$?
    echo
    return $RETVAL
}

# See how we were called.
case "$1" in
  start)
	start
	RETVAL=$?
	;;
  stop)
	stop
	RETVAL=$?
	;;
  restart)
	stop    
	start
	RETVAL=$?
	;;
  status)
    status $milter_name
	RETVAL=$?
	;;
  *)
	echo "Usage: $0 { start | stop | restart | status }"
	exit 1
esac

exit $RETVAL
